Package org.eclipse.rdf4j.query.algebra.evaluation.impl

## Class EvaluationStrategyImpl

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.impl.StrictEvaluationStrategy
  - - org.eclipse.rdf4j.query.algebra.evaluation.impl.EvaluationStrategyImpl

- All Implemented Interfaces:
    `EvaluationStrategy`, `FederatedServiceResolver`, `FederatedServiceResolverClient`, `UUIDable`

      @Deprecated
      public class EvaluationStrategyImpl
      extends StrictEvaluationStrategy

  Deprecated.
  since 4.0. Use `StrictEvaluationStrategy` instead.
  Author:
    Jeen Broekstra

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.StrictEvaluationStrategy

      `dataset, serviceResolver, tripleSource`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EvaluationStrategyImpl​(TripleSource tripleSource, Dataset dataset, FederatedServiceResolver serviceResolver)` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.StrictEvaluationStrategy

      `evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, getLimit, getService, getUUID, getVarValue, isReducedOrDistinct, isTrue, isTrue, optimize, precompile, precompile, precompile, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, setFederatedServiceResolver, setOptimizerPipeline, setTrackResultSize, setTrackTime, supplyBinaryValueEvaluation, supplyUnaryValueEvaluation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.EvaluationStrategy

      `makeQueue, makeSet`

- - ### Constructor Detail

    - #### EvaluationStrategyImpl

          public EvaluationStrategyImpl​(TripleSource tripleSource,
                                        Dataset dataset,
                                        FederatedServiceResolver serviceResolver)

      Deprecated.